<?php
/**
 * Brute Force Monitor v1.0
 * Created by: Josh (TRUSTAbyss)
 * 
 * Provided by: trustabyss.com
 */
 
// Add the IP Addresses you don't want
// to monitor. Seperate with a comma.

$ipaddr = array('127.0.0.1', '127.0.0.2');

// The log file directory in which to log the
// Brute Force attacks. Use Forward Slashes.
// Don't End with a Forward Slash.

$log_dir = '../log'; 

// You don't need to edit beyond this. Making a
// change pass this point may mess up the script
//
// Do yourself a favor and don't edit it!

$found = FALSE;

foreach ($ipaddr as $ip) {

    if ($_SERVER['REMOTE_ADDR'] == $ip) {
    
        $found = TRUE;
        break;
    }
}

if (!($found)) {

    if ((!empty($_SERVER['PHP_AUTH_USER'])) && (!empty($_SERVER['PHP_AUTH_PW']))) {

        $fp = fopen("$log_dir/brute_attacks.log", a);

        $string  = $_SERVER['REMOTE_ADDR'] . ' -  - ';
        $string .= '[' . date("d/M/Y:H:i:s O") . ']';
        $string .= ' ' . '"' . $_SERVER['REQUEST_METHOD'];
        $string .= ' ' . $_SERVER['REQUEST_URI'];
        $string .= ' ' . $_SERVER['SERVER_PROTOCOL'] . '"';
        $string .= ' ' . $_SERVER['REDIRECT_STATUS_CODE'];
        $string .= ' ' . $_SERVER['CONTENT_LENGTH'];
        $string .= ' "' . $_SERVER['HTTP_REFERER'] . '"';
        $string .= ' "' . $_SERVER['HTTP_USER_AGENT'] . '"' . "\n";
    
        if (flock($fp, LOCK_EX)) {
    
            fwrite($fp, $string);
            flock($fp, LOCK_UN);
        } 
        else {
    
            fwrite($fp, $string);  
        }
        fclose($fp); 
    }
}

$serv = $_SERVER["SERVER_SOFTWARE"];
$year = date("Y"); 

if (eregi("X1", $serv)) {

    $ver = "X1";
}
else {

    $ver = "X2";
}
?>
<HTML>
<HEAD>
<TITLE>Error 403</TITLE>
</HEAD>
<BODY>
<H1>Error 403</H1>
<P>Forbidden</P> <p><HR>Powered by <b><i>Abyss Web Server</i>
</b> <?php echo($ver); ?><br>&copy; <a href="http://www.aprelium.com">
Aprelium Technologies</a> - 2001-2006 </p>
</BODY>
</HTML>